<html>
    
    <head>
        <title>PRUEBA CON AJAX</title>
    </head>
    <body>
    <div id="texto"></div>

    <h1>AJAX</h1>

    <button id="btn" type="button" value="ENVIAR">ENVIAR</button>
<script>
    document.getElementById("btn").addEventListener("click", cambiar_texto);

    function cambiar_texto(){
        //definimos el objeto
        let xhr = new XMLHttpRequest();
        
        //verificamos las condiciones necesarias del objeto
        xhr.onreadystatechange = function(){
           if(xhr.readyState==4 && xhr.status==200) {
               document.getElementById("texto").innerHTML=xhr.responseText;
           }
        };

        xhr.open("GET", "respuesta.txt",true);

        xhr.send()




    }
    
    


</script>

    </body>
</html>